require 'prawn/core'
require 'prawn/table'
require 'prawn/errors'
require 'prawn/format'
require "prawn/layout"


class PdfDoc
  attr_accessor :pdf

  def initialize(options = {})
    paper   = options[:paper] || "A4"
    margins = options[:margins] || [36, 15, 25, 20]
    options[:paper] = paper
   # options[:compress] = true
    options[:margin] = margins
    @pdf  = Prawn::Document.new(options)
  end

  def set_font(font, options={})
    @pdf.font font, options
  end

  def add_text(text, options = {})
    @pdf.text(text,  options)
  end

  def add_character(text, options = {})
    options[:wrap] = :character
    @pdf.text(text,  options)
  end

  def save(filename)
    @pdf.render_file(filename)
  end
  
end

